# $Revision: 1.21 $, $Date: 2005/09/08 13:40:48 $
#
# Conditional build:
%bcond_without	cddb	# build cd-info without CDDB lookups (for bootstrap)
%bcond_without	static_libs	# don't build static library
%bcond_without	vcd	# build cd-info without VCD support (for bootstrap)
#			  (affects only -utils, not libraries)
#
Summary:	GNU Compact Disc Input and Control Library
Summary(pl):	Biblioteka GNU do obsugi wejcia i sterowania czytnikiem CD
Name:		libcdio
Version:	0.75
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	ftp://ftp.gnu.org/gnu/libcdio/%{name}-%{version}.tar.gz
# Source0-md5:	628bd9e6d62747ff6a2b14f976673ea0
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/libcdio/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.8.3
BuildRequires:	gettext-devel
%{?with_cddb:BuildRequires:	libcddb-devel >= 0.9.4}
BuildRequires:	libtool >= 1:1.4.2-9
%{?with_vcd:BuildRequires:	vcdimager-devel >= 0.7.21}
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is to encapsulate CD-ROM reading and control.
Applications wishing to be oblivious of the OS- and device-dependent
properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

Immediate uses are VCDImager, a navigation-capable Video CD plugin
and CD-DA plugin for the media player xine.

A sample utility, cd-info which displayings CD info is included in
utils subpackage.

%description -l pl
Ta biblioteka obudowuje czynnoci odczytu i sterowania czytnikami
CD-ROM. Aplikacje chcce zapomnie o zalenych od systemu lub
urzdzenia wasnociach CD-ROM-u mog uywa tej biblioteki.

Dostpna jest pewna obsuga obrazw dyskw typu BIN/CUE czy NRG, wic
aplikacje uywajce tej biblioteki mog czyta take takie obrazy
dyskw tak jakby byy pytami.

Biblioteka jest uywana bezporednio w VCDImagerze, wtyczce z
nawigacj do Video CD oraz wtyczce CD-DA dla odtwarzacza multimediw
xine.

W podpakiecie utils zaczone jest przykadowe narzdzie cd-info
suce do wywietlania informacji o pytach kompaktowych.

%package devel
Summary:	Header files for libcdio libraries
Summary(pl):	Pliki nagwkowe bibliotek libcdio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcdio libraries.

%description devel -l pl
Pliki nagwkowe bibliotek libcdio.

%package static
Summary:	Static libcdio libraries
Summary(pl):	Statyczne biblioteki libcdio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcdio libraries.

%description static -l pl
Statyczne biblioteki libcdio.

%package utils
Summary:	libcdio utilities: cd-info, cd-read
Summary(pl):	Narzdzia uywajce libcdio: cd-info, cd-read
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description utils
libcdio utilities: cd-info, cd-read.

%description utils -l pl
Narzdzia uywajce libcdio: cd-info, cd-read.

%prep
%setup -q
%patch0 -p1

%{__sed} -i 's, example$,,' Makefile.am
cp -f libpopt.m4 acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-cd-info-linux \
	--enable-maintainer-mode \
	%{!?with_cddb:--disable-cddb} \
	%{!?with_vcd:--disable-vcd-info} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mansubdir=/ja/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/cdio
%{_pkgconfigdir}/lib*.pc
%{_infodir}/libcdio.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%lang(ja) %{_mandir}/ja/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcdio.spec,v $
Revision 1.21  2005/09/08 13:40:48  freetz
- rel.2 for full featured build

Revision 1.20  2005/08/13 21:26:40  charles
- BR: gettext-devel
- excluded example (req. c++), BR: sed >= 4.0

Revision 1.19  2005/07/24 23:02:09  qboosh
- updated to 0.75 (note: new libcdio soname)

Revision 1.18  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.17  2005/06/15 16:39:21  witekfl
- added bcond_without static

Revision 1.16  2005/05/21 08:57:15  pluto
- release 2 for rebuild utils with all features.

Revision 1.15  2005/05/21 07:33:49  qboosh
- updated to 0.74

Revision 1.14  2005/04/17 19:52:56  qboosh
- updated to 0.73 (new sonames again), removed obsolete gcc4 patch

Revision 1.13  2005/03/25 20:58:12  adgor
- wo cddb bcond

Revision 1.12  2005/02/06 19:08:33  pluto
- vcdimager BR updated.
- gcc4 fixes.

Revision 1.11  2005/02/05 21:45:51  qboosh
- updated to 0.72 (note: new libcdio soname)

Revision 1.10  2004/12/28 07:53:12  qboosh
- release 2 to rebuild with vcd support

Revision 1.9  2004/11/21 21:31:44  qboosh
- updated to 0.71 (improvements; NOTE: sonames have changed)

Revision 1.8  2004/09/10 06:22:12  qboosh
- updated to 0.70 (note: libiso9660 soname changed)

Revision 1.7  2004/06/27 15:14:08  qboosh
- automake epoch

Revision 1.6  2004/06/27 14:54:48  qboosh
- updated to 0.69
- dropped link patch, require fixed automake (1.8.3) instead
- added missing defattr

Revision 1.5  2004/03/27 23:15:36  qboosh
- updated to 0.68

Revision 1.4  2004/03/04 23:18:39  qboosh
- updated to 0.67, updated patches

Revision 1.3  2004/02/21 23:47:42  qboosh
- updated to 0.66, updated info,link patches, removed obsolete vcd patch

Revision 1.2  2004/01/09 18:55:50  jajcus
- Release: 2 (to make sure builders have vcd-enabled libcdio installed)

Revision 1.1  2003/12/31 00:08:15  qboosh
- new
